SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001275SiT!inbound emailpublic2010-04-14 22:252013-07-06 17:24
Reporterivan 
Assigned Topaulh 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version3.60 LTS 
Target Version3.68Fixed in VersionCurrent SVN 
Summary0001275: non-ascii characters in inbound email attachment filenames are corrupted
DescriptionIf a filename of an attachment to an inbound email uses non-ascii characters the file is corrupted. More often than not it seems you can still view and save the attachment but the filename is nonsense.

TBH I'm not sure how valid it is to have strange characters in attachment filenames but we ought to handle it better even if we end up naming the attachment untitled.odf or something like that.

I tried various filenames using the test string data at http://sitracker.org/wiki/Development/Test_Data [^]
TagsNo tags attached.
Attached Files

- Relationships
related to 0001100closedivan SQL Error importing email with odd named attachment 
related to 0000774closedkieran Attachments with accented characters like "é" in the filename do not get imported 
has duplicate 0001371resolvedpaulh Bad cirillic attachments names. 

-  Notes
User avatar (0003340)
paulh (administrator)
2010-08-01 12:50

After reading http://tools.ietf.org/html/rfc2231 [^] and http://en.wikipedia.org/wiki/MIME [^] I'm still not 100% certain this is valid though as other clients (gmail, thunderbird) etc display this properly and their nothing to stop users sending emails with such attachments we should probably support this
User avatar (0004654)
paulh (administrator)
2013-01-19 19:36

r7559 and 21e93d4 resolve this, we where encoding file names twice

- Issue History
Date Modified Username Field Change
2010-04-14 22:25 ivan New Issue
2010-04-14 22:25 ivan Relationship added related to 0001100
2010-06-17 12:43 ivan Relationship added related to 0000774
2010-06-18 14:56 ivan Summary non-ascii characters in inbound email attachments are corrupted => non-ascii characters in inbound email attachment filenames are corrupted
2010-07-20 10:53 ivan Relationship added has duplicate 0001371
2010-08-01 12:50 paulh Note Added: 0003340
2010-08-01 12:50 paulh Status new => confirmed
2013-01-19 19:36 paulh Note Added: 0004654
2013-01-19 19:36 paulh Assigned To => paulh
2013-01-19 19:36 paulh Status confirmed => resolved
2013-01-19 19:36 paulh Resolution open => fixed
2013-01-19 19:36 paulh Fixed in Version => Current SVN
2013-07-06 17:24 ivan Target Version => 3.68


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker